%define rel _04
Name:           omegat 
Version:        2.3.0
Release:        %mkrel 3
Summary:        OmegaT® - multiplatform CAT tool
License:        GPL
Group:          Text tools
URL:            http://www.omegat.org/
Source0:        http://downloads.sourceforge.net/omegat/OmegaT_%{version}%{?rel}_Source.zip
Source1:        omegat.desktop
Source2:        omegat-lib-mnemonics-build.xml
Source3:        omegat-build.xml
Source4:        omegat-script
# remove osx deps
Patch0:         omegat-2.2.3-MainWindowMenu.patch

Patch1:         omegat-2.2.3-help_dir.patch
Patch2:         omegat-2.2.3-remove_jmyspell.patch
Patch3:         omegat-2.2.3-system_libhunspell.patch
Patch4:         omegat-2.2.3-use_openjdk_swingworker.patch

BuildRequires:  ant
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  htmlparser
BuildRequires:  imagemagick
BuildRequires:  java-devel
BuildRequires:  jna
BuildRequires:  jpackage-utils
BuildRequires:  junit4
BuildRequires:  libhunspell
BuildRequires:  swing-layout
BuildRequires:  vldocking
BuildRequires:  ws-jaxme
BuildRequires:  xmlunit
Requires:       htmlparser
Requires:       hunspell
Requires:       libhunspell
Requires:       java
Requires:       jna
Requires:       jpackage-utils
Requires:       swing-layout
Requires:       vldocking
Requires:       ws-jaxme
#BuildArch:      noarch

%description
OmegaT® is a free translation memory application written in Java.
It is a tool intended for professional translators.

OmegaT® has the following features:
  
* Fuzzy matching
* Match propagation
* Simultaneous processing of multiple-file projects
* Simultaneous use of multiple translation memories
* User glossaries with recognition of inflected forms
* Unicode (UTF-8) support: can be used with non-Latin alphabets
* Support for right-to-left languages
* Integral spelling checker
* Compatible with other translation memory applications (TMX)
* Interface to Google Translate

Document file formats include:
* XHTML and HTML
* Microsoft Office XML
* OpenOffice.org/StarOffice
* XLIFF (Okapi)
* MediaWiki (Wikipedia)
* Plain tex

%prep
%setup -q -c -n OmegaT-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
# TODO add unversion libhunspell link
sed -i "s|@HUNSPELL_LIB@|%{_libdir}/libhunspell-1.3.so.0|" src/org/omegat/util/OConsts.java
%patch4 -p0

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

ln -sf $(build-classpath junit4) test/lib/junit-4.4.jar
ln -sf $(build-classpath xmlunit) test/lib/xmlunit-1.1.jar

#ln -sf $(build-classpath vldocking) lib/vldocking_2.1.4.jar
#ln -sf $(build-classpath jna) lib/jna.jar
#ln -sf $(build-classpath swing-layout) lib/swing-layout-1.0.jar
#ln -sf $(build-classpath htmlparser1) lib/htmlparser.jar

rm -r native/*

# nbproject/org-netbeans-modules-java-j2seproject-copylibstask.jar
# lib/jmyspell-core-1.0.0-beta-2.jar
# OSX dep
# mv ./lib/MRJAdapter.jar ./lib/MRJAdapter.jar.no
rm lib/sources/MRJAdapter-source.zip

# TODO jaxb deps
# lib/jaxb-api.jar
# lib/activation.jar
# lib/jsr173_1.0_api.jar
# lib/jaxb-impl.jar
# gen/lib/jaxb-xjc.jar

# lib/sources/JAXB/jsr173_1.0_src.jar

rm -rf release/win32-specific

sed -i '/class-path/I d' manifest-template.mf

%build
pushd lib-mnemonics
cp %{SOURCE2} build.xml
ant dist
popd

cp %{SOURCE3} build.xml
ant dist

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_datadir}/omegat/docs
mkdir -p %{buildroot}%{_datadir}/omegat/images

install -pm 755 dist/OmegaT.jar %{buildroot}%{_javadir}/OmegaT-%{version}.jar
install -pm 755 lib-mnemonics/dist/lib-mnemonics.jar %{buildroot}%{_javadir}/OmegaT-lib-mnemonics-%{version}.jar

pushd %{buildroot}%{_javadir}
  ln -s OmegaT-%{version}.jar %{buildroot}%{_javadir}/OmegaT.jar
  ln -s OmegaT-lib-mnemonics-%{version}.jar %{buildroot}%{_javadir}/OmegaT-lib-mnemonics.jar
  ln -s OmegaT-lib-mnemonics-%{version}.jar %{buildroot}%{_javadir}/lib-mnemonics.jar
popd

cp -pR release/index.html docs/ images/ %{buildroot}%{_datadir}/omegat/

install -pm 755 %{SOURCE4} %{buildroot}%{_bindir}/omegat
chmod +x %{buildroot}%{_bindir}/*

for png in 22x22 16x16; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/
  convert -geometry $png images/OmegaT.png %{buildroot}%{_datadir}/icons/hicolor/${png}/apps/omegat.png
done

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -pm 644 images/OmegaT.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/omegat.png

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pm 644 images/OmegaT.png %{buildroot}%{_datadir}/pixmaps/omegat.png

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install %{SOURCE1} --mode=644 --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/omegat.desktop

dos2unix release/*.txt

%files
%{_bindir}/omegat
%{_datadir}/applications/omegat.desktop
%{_datadir}/icons/hicolor/*x*/apps/omegat.png
%{_javadir}/OmegaT-%{version}.jar
%{_javadir}/OmegaT.jar
%{_javadir}/OmegaT-lib-mnemonics-%{version}.jar
%{_javadir}/OmegaT-lib-mnemonics.jar
%{_javadir}/lib-mnemonics.jar
%dir %{_datadir}/omegat
%{_datadir}/omegat/*.html
%{_datadir}/omegat/docs
%{_datadir}/omegat/images
%{_datadir}/pixmaps/omegat.png
%doc release/changes.txt release/doc-license.txt
%doc release/license.txt release/readme*.txt release/join.html



%changelog

* Sat Dec 31 2011 gil <gil> 2.3.0-3.mga2
+ Revision: 189194
- update to 2.3.0_04

* Mon Aug 29 2011 gil <gil> 2.3.0-2.mga2
+ Revision: 136292
- temporary fix for bug id 2564
- update to 2.3.0_01
- imported package omegat

  + dmorgan <dmorgan>
    - Clean spec file


* Fri Jun 10 2011 gil <gil> 2.2.3-1.%%mkrel
- update to 2.2.3_04_Beta

* Tue May 31 2011 gil <gil> 2.2.3-0.%%mkrel
- initial rpm